SDL_SetRenderTarget(3)

NAME
SDL_SetRenderTarget - Set a texture as the current rendering target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderTarget(SDL_Renderer *renderer, SDL_Texture *texture);

DESCRIPTION
The default render target is the window for which the renderer was created. To stop rendering to a texture and render to the window again, call this function with a NULL texture .

FUNCTION PARAMETERS

renderer
    the rendering context

texture
    the targeted texture, which must be created with the SDL_TEXTUREACCESS_TARGET flag, or NULL to render to the window instead of a texture.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderTarget(3)